<?php

namespace Modules\City\Interfaces;

use Modules\City\Models\City;

interface CityRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): City;
    public function update(array $request, City $city): City;
    public function destroy(City $city): void;
    public function destroyAll(array $ids): void;
    public function restore(City $city): void;
    public function restoreAll(array $ids): void;
}
